Subject: [bug#63980] [PATCH] gnu: python-typeguard: Add dependency on python-setuptools-scm.

From: Vinicius Monego <[email-masked]>
Date: Sat, 29 Jul 2023 18:53:59 +0000

Hi,

Em dom, 2023-07-02 às 10:45 +0100, Christopher Baines escreveu:
> 
> Ludovic Courtès <[email-masked]> writes:
> 
> > Hi,
> > 
> > Vinicius Monego <[email-masked]> skribis:
> > 
> > > * gnu/packages/python-xyz.scm (python-typeguard)[native-inputs]:
> > > Add
> > > python-setuptools-scm.
> > 
> > LGTM!
> > 
> > <https://qa.guix.gnu.org/issue/63980> says it’s OK; the “Blocked”
> > numbers are higher, but I’m not sure what that means since there
> > are no
> > new packages here.  Chris, WDYT?
> 
> This is an issue with the data service incorrectly seeing some builds
> as
> not blocked, when they should be. Some of the builds in the base
> revision that are being counted in the "Unknown" column should
> actually
> be in blocked, which is why the blocked count appears to increase.
> 
> I'm not quite sure what the issue is, but I'll have another look at
> fixing this.

If it's a problem in the data service only, can I push this to master?
There are 257 rebuilds with this change (including pytorch) and I want
to add another one in https://issues.guix.gnu.org/63621 before it hits
300.

Vinicius